Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156705 - Serial console corrupt on boot
Summary: Serial console corrupt on boot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-03 15:04 UTC by David Woodhouse
Modified: 2013-03-06 05:58 UTC (History)
4 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:04:45 UTC


Attachments (Terms of Use)
patch to recalculate divisor as appropriate. (deleted)
2005-05-03 15:04 UTC, David Woodhouse
no flags Details | Diff
Updated patch (deleted)
2005-05-06 10:06 UTC, David Woodhouse
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description David Woodhouse 2005-05-03 15:04:31 UTC
When booting with serial console on a machine with a National Semiconductor
SuperIO chip where the BIOS enables its high speed mode, the initialisation of
the serial driver switches it into high-speed mode without fixing up the baud rate. 

The result is that the port suddenly ends up running four times faster than it
should, and the last non-garbage thing we see on the serial console is the
serial driver's initialisation message.

The fix is to adjust the baud rate divisor at the same time as we adjust the
master clock...

Comment 1 David Woodhouse 2005-05-03 15:04:31 UTC
Created attachment 113967 [details]
patch to recalculate divisor as appropriate.

Comment 2 David Woodhouse 2005-05-06 10:06:05 UTC
Created attachment 114075 [details]
Updated patch

This is the form in which the patch was sent upstream. With the original
problem fixed, the 'ifndef ppc' hack isn't required either.

Comment 3 David Woodhouse 2005-05-24 10:46:01 UTC
*** Bug 158107 has been marked as a duplicate of this bug. ***

Comment 4 Kjetil T. Homme 2005-06-15 22:42:51 UTC
we added this to /etc/rc.sysinit as a workaround:

/bin/setserial /dev/ttyS0 spd_normal
/bin/stty 9600 < /dev/ttyS0

quite early, just after ". /etc/init.d/functions" worked for us.  we don't get
all the boot messages, but it's workable.



Comment 9 Red Hat Bugzilla 2005-10-05 13:04:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html


Comment 10 David Woodhouse 2005-10-11 14:08:47 UTC
*** Bug 167117 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.